<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
if(!headers_sent()) ob_start("ob_gzhandler");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}

$codigo_grupo=escapar($_POST["cdgr"],'int');
$periodo=escapar($_POST["per_calif"],'int');
if($codigo_grupo=='0x'){
	header("Content-type: application/json");
	echo json_encode(array());
	exit;
}


require_once("../includes/MySQL.php");

$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$mayus_nom=$sesion->getVar('configuracion.format_nom');
$mayus_mat=$sesion->getVar('configuracion.format_mat');
$responce=array();
$wh="";
if($sesion->getVar('ac_tipo_user')=='1'){
	$wh=' and aca_asignaturasxgrupos.cod_profesor='.	$sesion->getVar("info_doc.cod_profesor");
}

$sql="SELECT lcase(aca_asignaturas.nom_asi) as nom_asi FROM aca_asignaturasxgrupos INNER JOIN aca_asignaturas ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi) WHERE (aca_asignaturasxgrupos.cod_grupo=$codigo_grupo $wh) ORDER BY aca_asignaturasxgrupos.cod_asigxgrupo ASC;";
$academia->instruccion($sql);
while($rm=$academia->extraer_registro()){
	$responce['mats'][]=formatoPalabras($rm['nom_asi'],$mayus_mat);
}
$academia->liberar();
$sql = "SELECT aca_estudiantes.cod_estudiante, LCASE(CONCAT_WS(' ',aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est)) AS nom_ape , aca_estxasigxgrupos.cod_estxasigxgrupos , aca_estxasigxgrupos.cod_asigxgrupo FROM aca_estxasigxgrupos INNER JOIN aca_estudiantes ON (aca_estxasigxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante) INNER JOIN aca_asignaturasxgrupos ON (aca_estxasigxgrupos.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo) WHERE (aca_asignaturasxgrupos.cod_grupo=$codigo_grupo $wh) ORDER BY nom_ape, aca_estxasigxgrupos.cod_asigxgrupo ASC;"	;
	
//echo $sql;
$academia->instruccion($sql);
$row = $academia->extraer_registro();
$i=-1;
$antEst=-1;
do{
	if($row['cod_estudiante']!=$antEst){
		$i++;
	}
	$antEst=$row['cod_estudiante'];
	$responce['est'][$i]['nt']=formatoPalabras($row['nom_ape'],$mayus_nom);
	$responce['est'][$i]['cdme'][]=$row['cod_estxasigxgrupos'];
	
}while($row = $academia->extraer_registro()); 
header("Content-type: application/json");
echo json_encode($responce);
$academia->cerrar();
?>
        